=== debian/changelog ===
dracut (106-6) unstable; urgency=medium

  [ cacin ]
  * Drop nonexistent Recommends: dmraid (Closes: #1099698)

 -- Andreas Tille <tille@debian.org>  Fri, 11 Apr 2025 13:34:23 +0200

dracut (106-5) unstable; urgency=medium

  * disable upstream test 43

 -- Thomas Lange <lange@debian.org>  Sat, 22 Feb 2025 14:06:40 +0100

dracut (106-4) unstable; urgency=medium

  * skip upstream test 12, time out on Debian

 -- Thomas Lange <lange@debian.org>  Fri, 21 Feb 2025 17:53:33 +0100

dracut (106-3) unstable; urgency=medium

  * disable autopkgtest for s390x, Closes: #1096001
  * debian/rules: remove dracut.html which does not exist

 -- Thomas Lange <lange@debian.org>  Thu, 20 Feb 2025 11:02:07 +0100

dracut (106-2) unstable; urgency=medium

  * new patches (all accepted upstream):
    - test(ISCSI): skip root=ibft if qemu -acpitable is not supported
    - test(FULL-SYSTEMD): skip encrypted root if qemu -smbios is not supported
    - test: use persistent names for network devices
    - fix(dracut-install): install compressed blobs that match wildcard fwpath
      (LP: #2095518)
  * autopkgtest: explicitly depend on ipxe-qemu
  * dracut-core: install upstream dracut.conf.d subdirectories
    (to be used with --confdir)
  * Enable autopkgtest for s390x

 -- Benjamin Drung <bdrung@debian.org>  Thu, 13 Feb 2025 01:05:51 +0100

dracut (106-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to point to dracut-ng upstream
  * dracut-live: suggest isomd5sum (for checkisomd5 command) (Closes: #1095162)
  * dracut-core: install /usr/lib/kernel/install.d (Closes: #1082811)
  * Drop patches included upstream and refresh remaining patches
  * Move modules:
    - reserve range 50-59 to out of tree dracut modules
    - fix(shell-interpreter): move later in the module ordering
    - move 01systemd-sysusers to 60systemd-sysusers
  * dracut-core: remove moved upstream docs
  * dracut-core: drop dracut.html (please use man pages instead)
  * dracut-core: add new modules 01systemd-battery-check and 97systemd-emergency
  * test: reorganize tests (new numbering schema)
  * Run upstream autopkgtest as root
  * test: depend on dbus and systemd-container for TEST-41-FULL-SYSTEMD
  * new patches:
    - test: log error when constructing sysroot
    - test(FULL-SYSTEMD): skip systemd-network-management if missing
  * dracut-core: drop gawk dependency

 -- Benjamin Drung <bdrung@debian.org>  Fri, 07 Feb 2025 21:21:31 +0100
