=== debian/control ===
Source: dracut
Section: utils
Priority: optional
Maintainer: Thomas Lange <lange@debian.org>
Uploaders: Benjamin Drung <bdrung@debian.org>
Build-Depends: asciidoc-base,
               debhelper-compat (= 13),
               docbook-xml,
               docbook-xsl,
               libkmod-dev,
               pkgconf,
               systemd-dev,
               xsltproc
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/dracut
Vcs-Git: https://salsa.debian.org/debian/dracut.git
Homepage: https://github.com/dracut-ng/dracut-ng/wiki

Package: dracut-core
Architecture: any
Multi-Arch: foreign
Depends: cpio,
         dracut-install,
         e2fsprogs,
         kmod,
         udev,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: binutils,
            console-setup,
            cryptsetup,
            dmsetup,
            kpartx,
            lvm2,
            mdadm,
            systemd,
            systemd-cryptsetup,
            systemd-sysv,
            zstd
Breaks: dracut-live (<< 059-2), dracut-network (<< 057+157-2)
Replaces: dracut-live (<< 059-2), dracut-network (<< 057+157-2)
Description: dracut is an event driven initramfs infrastructure (core tools)
 Unlike existing initramfs's, this is an attempt at having as little as
 possible hard-coded into the initramfs as possible.  The initramfs has
 (basically) one purpose in life -- getting the rootfs mounted so that
 it can transition to the real rootfs.  This is all driven off of
 device availability.  Therefore, instead of scripts hard-coded to do
 various things, it depends on udev to create device nodes and
 to detect the rootfs.
 Having the root on MD, LVM2, LUKS is supported as well as NFS, iSCSI,
 NBD and FCOE with dracut-network.

Package: dracut
Architecture: all
Multi-Arch: foreign
Depends: dracut-core (<< ${binary:Version}+b+~),
         dracut-core (>= ${binary:Version}),
         linux-base,
         ${misc:Depends}
Suggests: dracut-network
Provides: linux-initramfs-tool
Conflicts: initramfs-tools, live-tools
Description: Initramfs generator using udev
 This package builds a bootable initramfs for Linux kernel packages.  The
 initramfs is loaded along with the kernel and is responsible for
 mounting the root filesystem and starting the main init system.

Package: dracut-install
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dracut-core (<< 060+5-7~)
Replaces: dracut-core (<< 060+5-7~)
Description: dracut is an event driven initramfs infrastructure (dracut-install)
 This package just contains the dracut-install command to be used by
 initramfs generating tools.

Package: dracut-network
Architecture: all
Depends: dracut-core,
         iputils-arping,
         isc-dhcp-client | systemd | connman | network-manager,
         ${misc:Depends}
Recommends: curl, iscsiuio, nbd-client, nfs-common, open-iscsi
Breaks: dracut-core (<< 105)
Replaces: dracut-core (<< 105)
Description: dracut is an event driven initramfs infrastructure (network modules)
 Package to build a dracut initramfs with network support. This
 includes dracut modules for NFS, CIFS, iSCSI, HTTP, NBD, FCP and FCOE.

Package: dracut-squash
Architecture: all
Depends: dracut-core, squashfs-tools, ${misc:Depends}
Breaks: dracut-core (<< 050-1)
Replaces: dracut-core (<< 050-1)
Description: dracut is an event driven initramfs infrastructure (squashfs modules)
 Package to build an initramfs with most files in a squashfs image.
 .
 This package provides a dracut module to build an initramfs, but
 store most files in a squashfs image, result in a smaller initramfs
 size and reduce runtime memory usage.

Package: dracut-live
Architecture: all
Depends: dmsetup, dracut-core, ${misc:Depends}
Recommends: dracut-network
Suggests: isomd5sum
Breaks: dracut-core (<< 050-1), dracut-network (<< 050-1)
Replaces: dracut-core (<< 050-1), dracut-network (<< 050-1)
Description: dracut is an event driven initramfs infrastructure (live image modules)
 Package to build a dracut initramfs with live image capabilities.
 .
 This package requires everything which is needed to build an
 initramfs with dracut, with live image capabilities, like Live CDs.

Package: dracut-config-generic
Architecture: all
Depends: dracut-core, ${misc:Depends}
Multi-Arch: foreign
Description: dracut is an event driven initramfs infrastructure
 This is the dracut configuration to turn off hostonly image generation

Package: dracut-config-rescue
Architecture: all
Depends: dracut-core, ${misc:Depends}
Multi-Arch: foreign
Description: dracut is an event driven initramfs infrastructure
 This is the dracut configuration to turn on rescue image generation

Package: dracut-test
Architecture: all
Depends: dracut-core, ${misc:Depends}
Breaks: dracut-core (<< 105)
Replaces: dracut-core (<< 105)
Description: dracut is an event driven initramfs infrastructure (test modules)
 This package provides the Dracut modules and configuration files for the
 Dracut test suite. This package is intended for testing Dracut itself
 and is of no use for ordinary users. If you're not sure about this package,
 you don't need it.
