## dracut 107

=== debian/changelog ===
dracut (107-2) unstable; urgency=medium

  * autopkgtest: depend on curl for test 60-NFS
  * Bump Standards-Version to 4.7.2
  * Add update-initramfs (derived from initramfs-tools) (LP: #2098525)
  * Add bash completion for update-initramfs (LP: #2103540)
  * autopkgtest: replace qemu-kvm by qemu-system-native
  * Fix shellcheck in Debian packaging scripts
  * fix(lsinitrd): resolve initrd to real path (LP: #2116183)
  * Add autopkgtest for lsinitrd
  * dracut-network: default to systemd-networkd as network manager
  * dracut-core: silence "cannot break line" groff warnings
  * Run syncheck on package test phase

 -- Benjamin Drung <bdrung@debian.org>  Tue, 29 Jul 2025 23:31:39 +0200

dracut (107-1) unstable; urgency=medium

  [ Thomas Lange ]
  * new upstream 107
  * drop 90overlay-root in favor of the overlayfs, Closes: #1017039
  * refresh patches, drop patches included upstream
  * rename module systemd-sysusers
  * add module 45simpledrm
  * update revdate for man pages

  [ Benjamin Drung ]
  * Stop shipping the dmraid module (Closes: #1099698)
  * Set -H --hostonly-mode=sloppy as default arguments via a config file
  * d/copyright: fix lintian's old-fsf-address-in-copyright-file
  * autopkgtest:
    - enable test 12 but skip using kernel-install due to bug #1104848
    - Remove possible masked systemd-udevd to avoid test 10 to fail

 -- Thomas Lange <lange@debian.org>  Tue, 20 May 2025 11:21:44 +0200
