=== debian/control ===
--- 
+++ 
@@ -3,16 +3,19 @@
 Priority: optional
 Maintainer: Thomas Lange <lange@debian.org>
 Uploaders: Benjamin Drung <bdrung@debian.org>
-Build-Depends: asciidoc-base,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               asciidoc-base,
+               bash-completion,
                docbook-xml,
                docbook-xsl,
                libkmod-dev,
                pkgconf,
+               shellcheck [!i386 !m68k !powerpc !sh4 !x32] <!nocheck>,
+               shfmt [!i386 !m68k !powerpc !sh4 !x32] <!nocheck>,
                systemd-dev,
                xsltproc
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/dracut
 Vcs-Git: https://salsa.debian.org/debian/dracut.git
 Homepage: https://github.com/dracut-ng/dracut-ng/wiki
@@ -24,6 +27,7 @@
          dracut-install,
          e2fsprogs,
          kmod,
+         systemd-sysv | initscripts | sysvinit-core,
          udev,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -36,7 +40,6 @@
             mdadm,
             systemd,
             systemd-cryptsetup,
-            systemd-sysv,
             zstd
 Breaks: dracut-live (<< 059-2), dracut-network (<< 057+157-2)
 Replaces: dracut-live (<< 059-2), dracut-network (<< 057+157-2)
@@ -79,7 +82,7 @@
 Architecture: all
 Depends: dracut-core,
          iputils-arping,
-         isc-dhcp-client | systemd | connman | network-manager,
+         systemd | network-manager | isc-dhcp-client | connman,
          ${misc:Depends}
 Recommends: curl, iscsiuio, nbd-client, nfs-common, open-iscsi
 Breaks: dracut-core (<< 105)
