=== debian/tests/control ===
--- 
+++ 
@@ -1,12 +1,17 @@
+Tests: lsinitrd
+Depends: dracut, linux-image-generic, zstd
+Restrictions: needs-root, superficial
+
 # Skip following test cases:
 # * TEST-23-IMSM: dmraid was removed from Debian
+# * TEST-43-KERNEL-INSTALL: kernel-install issue, see https://bugs.debian.org/1104848
 # * TEST-61-MULTINIC: disabled in upstream CI since 2023-01-02
 # * TEST-62-BONDBRIDGEVLAN: https://github.com/dracutdevs/dracut/issues/2328
 # * TEST-70-ISCSI: iscsiuio.socket missing, see https://bugs.debian.org/1056733
 # * TEST-71-ISCSI-MULTI: iscsiuio.socket missing, see https://bugs.debian.org/1056733
 # arm64, armhf, ppc64el, and s390x need upstream support: https://github.com/dracutdevs/dracut/issues/2493
 Features: test-name=upstream-dracut-core
-Test-Command: debian/tests/run-upstream-tests SKIP="12 23 30 43 60 61 62 70 71 72"
+Test-Command: debian/tests/run-upstream-tests SKIP="23 30 43 60 61 62 70 71 72"
 Architecture: amd64
 Restrictions: allow-stderr, needs-root
 Depends: btrfs-progs,
@@ -26,7 +31,7 @@
          ovmf,
          qemu-efi-aarch64 [arm64],
          qemu-efi-arm [armhf],
-         qemu-kvm,
+         qemu-system-native,
          seabios [ppc64el],
          squashfs-tools,
          systemd-boot-efi [amd64 arm64 armhf riscv64],
@@ -56,7 +61,7 @@
          parted,
          qemu-efi-aarch64 [arm64],
          qemu-efi-arm [armhf],
-         qemu-kvm,
+         qemu-system-native,
          seabios [ppc64el],
          squashfs-tools,
          systemd-sysv,
@@ -67,7 +72,8 @@
 Test-Command: debian/tests/run-upstream-tests TESTS="60"
 Architecture: amd64
 Restrictions: allow-stderr, needs-root
-Depends: dracut-live,
+Depends: curl,
+         dracut-live,
          dracut-network,
          dracut-test,
          iproute2,
@@ -81,7 +87,7 @@
          procps,
          qemu-efi-aarch64 [arm64],
          qemu-efi-arm [armhf],
-         qemu-kvm,
+         qemu-system-native,
          seabios [ppc64el],
          systemd,
          systemd-sysv,
@@ -95,14 +101,3 @@
 Restrictions: allow-stderr, needs-root
 Depends: cryptsetup,
          dracut-network,
-         dracut-test,
-         iproute2,
-         ipxe-qemu,
-         isc-dhcp-client,
-         isc-dhcp-server,
-         linux-image-generic,
-         lvm2,
-         make,
-         mdadm,
-         mount,
-         nbd-client,
